org.jboss.jca.common.annotations.repository.jandex

## Class AnnotationImpl

- java.lang.Object
- - org.jboss.jca.common.annotations.repository.jandex.AnnotationImpl

- All Implemented Interfaces:
    org.jboss.jca.common.spi.annotations.repository.Annotation

      public class AnnotationImpl
      extends java.lang.Object
      implements org.jboss.jca.common.spi.annotations.repository.Annotation

  An AnnotationImpl.
  Author:
    Stefano Maestri, Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationImpl(java.lang.String className, java.lang.ClassLoader cl, java.util.List<java.lang.String> parameterTypes, java.lang.String memberName, boolean onMethod, boolean onField, java.lang.Class<?> annotationClass)` Create a new AnnotationImpl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAnnotation()` Get the annotation.
    `java.lang.String` | `getClassName()` Get the className.
    `java.lang.String` | `getMemberName()` Get the memberName.
    `java.util.List<java.lang.String>` | `getParameterTypes()` Get the parameterTypes.
    `boolean` | `isOnField()` Get the onField.
    `boolean` | `isOnMethod()` Get the onMethod.
    `java.lang.String` | `toString()` String representation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationImpl

          public AnnotationImpl(java.lang.String className,
                                java.lang.ClassLoader cl,
                                java.util.List<java.lang.String> parameterTypes,
                                java.lang.String memberName,
                                boolean onMethod,
                                boolean onField,
                                java.lang.Class<?> annotationClass)

      Create a new AnnotationImpl.
      Parameters:
        `className` - className
        `cl` - classloader
        `parameterTypes` - parameterTypes
        `memberName` - memberName
        `onMethod` - onMethod
        `onField` - onField
        `annotationClass` - annotationClass

  - ### Method Detail

    - #### getClassName

          public java.lang.String getClassName()

      Get the className.
      Specified by:
        `getClassName` in interface `org.jboss.jca.common.spi.annotations.repository.Annotation`
      Returns:
        the className.

    - #### getAnnotation

          public java.lang.Object getAnnotation()

      Get the annotation.
      Specified by:
        `getAnnotation` in interface `org.jboss.jca.common.spi.annotations.repository.Annotation`
      Returns:
        the annotation.

    - #### getParameterTypes

          public java.util.List<java.lang.String> getParameterTypes()

      Get the parameterTypes.
      Specified by:
        `getParameterTypes` in interface `org.jboss.jca.common.spi.annotations.repository.Annotation`
      Returns:
        the parameterTypes.

    - #### getMemberName

          public java.lang.String getMemberName()

      Get the memberName.
      Specified by:
        `getMemberName` in interface `org.jboss.jca.common.spi.annotations.repository.Annotation`
      Returns:
        the memberName.

    - #### isOnMethod

          public boolean isOnMethod()

      Get the onMethod.
      Specified by:
        `isOnMethod` in interface `org.jboss.jca.common.spi.annotations.repository.Annotation`
      Returns:
        the onMethod.

    - #### isOnField

          public boolean isOnField()

      Get the onField.
      Specified by:
        `isOnField` in interface `org.jboss.jca.common.spi.annotations.repository.Annotation`
      Returns:
        the onField.

    - #### toString

          public java.lang.String toString()

      String representation
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The string

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)